Can't locate loadable object for module IO::Tty in 
Author Message
 Can't locate loadable object for module IO::Tty in

Hi all,

I got the following problem after installing Expect, IO::Stty and IO::Tty
module ....

What i have missed ??


/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib
/home/ochampag/Expect/Expect-1.12/blib/lib
/home/ochampag/Expect/lib/site_perl/5.6.0
/home/ochampag/Expect/IO-Tty-0.04/blib/lib
/home/ochampag/Expect/IO-Stty-.02/blib/lib
/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/5.6.0/sun4-solaris
/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/5.6.0
/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl/5.6.0/sun4-solaris
/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl/5.6.0
/opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl .) at
/home/ochampag/Expect/lib/site_perl/5.6.0/IO/Tty.pm line 26
Compilation failed in require at
/home/ochampag/Expect/lib/site_perl/5.6.0/IO/Pty.pm line 7.
BEGIN failed--compilation aborted at
/home/ochampag/Expect/lib/site_perl/5.6.0/IO/Pty.pm line 7.
Compilation failed in require at
/home/ochampag/Expect/Expect-1.12/blib/lib/Expect.pm line 22.
BEGIN failed--compilation aborted at
/home/ochampag/Expect/Expect-1.12/blib/lib/Expect.pm line 22.
Compilation failed in require at Init.pl line 3.
BEGIN failed--compilation aborted at Init.pl line 3.

Thanks



Sun, 11 Apr 2004 17:31:46 GMT  
 Can't locate loadable object for module IO::Tty in

Quote:

> Hi all,

> I got the following problem after installing Expect, IO::Stty and IO::Tty
> module ....

> What i have missed ??


> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib
> /home/ochampag/Expect/Expect-1.12/blib/lib
> /home/ochampag/Expect/lib/site_perl/5.6.0
> /home/ochampag/Expect/IO-Tty-0.04/blib/lib
> /home/ochampag/Expect/IO-Stty-.02/blib/lib


probably want to rebuild the modules using PREFIX=/home/ochampag/modules
as an option Makefile.PL then when you do 'make install' your modules
will be installed into :

   /home/ochampag/modules/lib/perl5/site_perl/5.6.0/

so you then can do :

use lib ' /home/ochampag/modules/lib/perl5/site_perl/5.6.0/'

This will ensure that the appopriate architecture specific directories are

- Show quoted text -

Quote:
> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/5.6.0/sun4-solaris
> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/5.6.0
> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl/5.6.0/sun4-solaris
> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl/5.6.0
> /opt/swe/tools/ext/gnu/perl-5.6.0_p2/lib/site_perl .) at
> /home/ochampag/Expect/lib/site_perl/5.6.0/IO/Tty.pm line 26
> Compilation failed in require at
> /home/ochampag/Expect/lib/site_perl/5.6.0/IO/Pty.pm line 7.
> BEGIN failed--compilation aborted at
> /home/ochampag/Expect/lib/site_perl/5.6.0/IO/Pty.pm line 7.
> Compilation failed in require at
> /home/ochampag/Expect/Expect-1.12/blib/lib/Expect.pm line 22.
> BEGIN failed--compilation aborted at
> /home/ochampag/Expect/Expect-1.12/blib/lib/Expect.pm line 22.
> Compilation failed in require at Init.pl line 3.
> BEGIN failed--compilation aborted at Init.pl line 3.

Hope that helps

/J\
--
Jonathan Stowe                      |
<http://www.gellyfish.com>          |      This space for rent
                                    |



Wed, 14 Apr 2004 21:16:02 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. Can't locate loadable object Module?

2. can't locate loadable object for module?

3. Can't locate loadable object for module...

4. Can't locate loadable object for module Curl::easy

5. Can't locate loadable object for module...

6. Can't locate loadable object for module...

7. Can't locate loadable object for module Time::HiRes

8. Can't locate loadable object Module?

9. Can't locate loadable object for module Apache::Constants in @INC

10. Can't locate loadable object for module Win32::UserAdmin

11. HELP: can't locate loadable object for module Time::Hires in @INC

12. Can't locate loadable object for module Crypt::Blowfish

 

 
Powered by phpBB® Forum Software